Skip to main content
PUT
/
admin
/
currency-rates
Set Currency Rates
curl --request PUT \
  --url https://api.headlesscommerce.io/v1/admin/currency-rates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_currency": "<string>",
  "to_currency": "<string>",
  "rate": 123
}
'
{
  "id": "<string>",
  "from_currency": "<string>",
  "to_currency": "<string>",
  "rate": 123,
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

Body

application/json
from_currency
string
required
Required string length: 3
to_currency
string
required
Required string length: 3
rate
number
required

Response

200 - application/json

Success

id
string
from_currency
string
to_currency
string
rate
number
updated_at
string<date-time>